package uk.ac.cf.spring.demo.sports.Userdetail;


import java.util.List;

public interface UserService {
    // 获取所有用户
    List<User> getAllUsers();

    // 通过 ID 获取用户
    User getUserById(Long id);

    // 通过用户名获取用户
    List<User> getUsersByUsername(String username);

    // 通过邮箱获取用户
    User getUserByEmail(String email);

    // 添加用户
    void addUser(User user);
}