drop table if exists match_item;
create table if not exists match_item (
    -- Match ID
    id BIGINT AUTO_INCREMENT PRIMARY KEY,
    -- Sport type
    sport ENUM('Pools', 'Darts', 'TableTennis') NOT NULL,
    -- Player A ID
    player_AId BIGINT NOT NULL,
    -- Player B ID
    player_BId BIGINT NOT NULL,
    plan_Time DATETIME NOT NULL,
    -- Match status
    status ENUM('pending', 'confirmed', 'completed') DEFAULT 'pending',
    score_a INT DEFAULT 0,
    score_b INT DEFAULT 0,
    confirm_a BOOLEAN DEFAULT FALSE,
    confirm_b BOOLEAN DEFAULT FALSE,
    winner_id BIGINT DEFAULT NULL
);
